<?php
require'fun.php';
$titlu='Schimbă lei în euro';
$back[1]='<a href="/banca">'.img('banca.gif',1).'Banca</a>';
require'f_sus.php';
require'f_mut.php';
$resurse_disponibile=$conn->query('SELECT`lei`,`euro`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row();
if(preg_match('/[^0-9]/',$pmtext))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Excrocherii!",`de`="'.$de.'",`text`="a încercat să schimbe în euro '.$pmtext.' lei, avand un număr de [b]'.number_format($resurse_disponibile[0]).'[/b] lei, și '.number_format($resurse_disponibile[1]).' euro.",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('UPDATE`membrii`SET`lei`="0",`euro`="0"WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'N-ai voie sa faci asta!';
}
else
{
if($resurse_disponibile[0]>=$pmtext)
{
$numar_euro=(int)($pmtext/4);
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$pmtext.',`euro`=euro+'.$numar_euro.' WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Ai schimbat cu succes '.$pmtext.' lei, și ai primit '.$numar_euro.' euro!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai destui euro pentru a schimba!';
}
echo$div[0];
require'f_jos.php';